# -ai (Include archive filenames) switch

Specifies additional include archive filenames and wildcards.

Multiple include switches are supported.

#### Syntax

    -ai[<recurse_type>]<file_ref>

    <recurse_type> ::= r[- | 0]
    <file_ref> ::= @{listfile} | !{wildcard}

#### Parameters

<recurse_type>

  Specifies how wildcards and file names in this switch must be used. If this option is not given, recursion will be not used. For more details see specification of the -r (Recurse) switch.

      <recurse_type> ::= r[- | 0]

<file_ref>

  Specifies filenames and wildcards or list file that specify processed files.

      <file_ref> ::= @{listfile} | !{wildcard}

  Option | Description
  --- | ---
  {listfile} | Specifies name of list file. See List file description.
  {wildcard} | Specifies wildcard or filename.

#### Examples

    7z t -an -air!*.7z

tests *.7z archives in current directory and all it's subdirectories.

#### Commands that can be used with this switch

e (Extract), l (List), t (Test), x (Extract with full paths)

#### See also

Switches: -ax (Exclude archives) -an (Disable parsing of archive_name)